<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:scaleType="centerCrop"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/grade_bg" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/horizontal"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:orientation="horizontal"
            app:layout_constraintGuide_percent="0.7" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/grade_primary"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="@id/horizontal"
            app:layout_constraintEnd_toStartOf="@+id/grade_middle"
            app:layout_constraintHeight_percent="0.45"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="1"
            app:layout_constraintWidth_percent="0.25"
            app:srcCompat="@drawable/grade_primary" />

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:padding="@dimen/dp8"
            android:text="@string/grade_primary"
            android:textAlignment="center"
            android:textColor="@color/colorWhite"
            android:textSize="@dimen/sp40"
            app:layout_constraintEnd_toEndOf="@id/grade_primary"
            app:layout_constraintStart_toStartOf="@id/grade_primary"
            app:layout_constraintTop_toBottomOf="@id/grade_primary" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/grade_middle"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="@id/horizontal"
            app:layout_constraintEnd_toStartOf="@+id/grade_large"
            app:layout_constraintHeight_percent="0.45"
            app:layout_constraintStart_toEndOf="@id/grade_primary"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="1"
            app:layout_constraintWidth_percent="0.25"
            app:srcCompat="@drawable/grade_middle" />

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:padding="@dimen/dp8"
            android:text="@string/grade_middle"
            android:textAlignment="center"
            android:textColor="@color/colorWhite"
            android:textSize="@dimen/sp40"
            app:layout_constraintEnd_toEndOf="@id/grade_middle"
            app:layout_constraintStart_toStartOf="@id/grade_middle"
            app:layout_constraintTop_toBottomOf="@id/grade_middle" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/grade_large"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="@id/horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHeight_percent="0.45"
            app:layout_constraintStart_toEndOf="@id/grade_middle"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="1"
            app:layout_constraintWidth_percent="0.25"
            app:srcCompat="@drawable/grade_large" />

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:padding="@dimen/dp8"
            android:text="@string/grade_large"
            android:textAlignment="center"
            android:textColor="@color/colorWhite"
            android:textSize="@dimen/sp40"
            app:autoSizeTextType="uniform"
            app:layout_constraintEnd_toEndOf="@id/grade_large"
            app:layout_constraintStart_toStartOf="@id/grade_large"
            app:layout_constraintTop_toBottomOf="@id/grade_large" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/back"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHeight_percent="0.2"
            app:layout_constraintHorizontal_bias="0.02"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.05"
            app:layout_constraintWidth_percent="0.15"
            app:srcCompat="@drawable/back" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/version"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:textColor="@color/colorWhite"
            android:textSize="@dimen/sp16"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHeight_percent="0.05"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.98"
            tools:text="当前版本" />


    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>
